Skip to content
For LLMsView as Markdown·

Trigger a workflow from an inbound webhook ​

http
POST https://api.onehazel.com/webhook-receiver/{webhookId}

The address shown on a workflow webhook trigger. Ids start with wh_.

Section: Webhooks
Operation id: postWebhookReceiverByWebhookId

Authentication ​

No authentication.

Parameters ​

NameInRequiredDescription
webhookIdpathyes

Request body ​

JSON object.

Responses ​

200 { "success": true, "data": ... }

Errors return { "success": false, "error": { "code": "...", "message": "..." } } with a 4xx or 5xx status.

Example ​

bash
curl -X POST "https://api.onehazel.com/webhook-receiver/{webhookId}" \
  -H "Content-Type: application/json" \
  -d '{}'

Machine-readable: openapi.yaml, openapi.json.